
require 'test/unit'
require 'wassruby'

class Wassr_Test < Test::Unit::TestCase
  def setup
    @client =  WWW::Wassr.new("hoge","hoge")
    @wassr_api_channel = "wassr_api"
    @wassr_staff = "staff"
  end
  
  def get(key, val="")
    WWW::Wassr.get(key, val)
  end

  def test_setup_client1
    assert_not_nil(@client)
  end

  def test_setup_client2
    assert(@client.instance_variable_get(:@login_id))
  end

  def test_setup_client3
    assert(@client.instance_variable_get(:@password))
  end

  def test_setup_client4
    assert(@client.instance_variable_get(:@http))
  end
  
  def test_const1
    assert_equal(WWW::Wassr.const_get(:WASSR), "api.wassr.jp")
  end

  def test_client
    assert_instance_of(WWW::Wassr, @client)
  end

  def test_public_timeline
    assert(get(:public_timeline))
  end

  def test_user_timeline
    assert(get(:user_timeline, @wassr_staff))
  end
  
  def test_user_show
    assert(get(:user_show, @wassr_staff))
  end
  
  def test_new_channel
    assert(get(:new_channel))
  end

  def test_channel_check
    assert(get(:channel_check, @wassr_api_channel))
  end

  def test_sl_timeline
    assert(get(:sl_timeline))
  end

  def test_user_channel_list
    assert(get(:user_channel_list, @wassr_staff))
  end

  def test_start
    assert(WWW::Wassr.new("hoge","hoge"){|client| client })
  end
end

